Draft Label/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "* Appuyez sur {{KEY | CTRL}} pour que snap pointe sur les emplacements de capture disponibles. * Pour entrer les coordonnées manuellement, entrez simplement...")
(Created page with "==Propriétés==")
Line 23: Line 23:
* La direction du segment de droite (droite ou gauche) justifiera automatiquement le texte à gauche ou à droite.
* La direction du segment de droite (droite ou gauche) justifiera automatiquement le texte à gauche ou à droite.


==Properties==
==Propriétés==


* {{PropertyData|Label Type}}: The type of information shown by this label (see below)
* {{PropertyData|Label Type}}: The type of information shown by this label (see below)

Revision as of 08:48, 16 November 2018

Draft Label

Menu location
Draft → Label
Workbenches
Draft, Arch
Default shortcut
D L
Introduced in version
-
See also
None

Description

Cet outil insère une étiquette, qui est un morceau de texte avec une ligne à 2 segments et une flèche, dans le document actif. Si un objet ou un sous-élément (face, arête ou sommet) est sélectionné lors du lancement de la commande, vous pouvez configurer le l'étiquette pour afficher automatiquement un certain attribut de l'élément sélectionné.

Utilisation

  1. Facultativement, sélectionnez un objet ou un sous-élément d'un objet (sommet, arête ou face)
  2. Appuyez sur la touche , ou appuyez sur les touches D puis L.
  3. Cliquez sur un premier point de la vue 3D ou tapez une coordinate pour indiquer le point cible (position de la flèche). Cela peut être n'importe où, il n'est pas nécessaire que ce soit exactement sur l'élément sélectionné
  4. Cliquez sur un deuxième point de la vue 3D ou tapez une coordinate pour indiquer le point central qui correspond au début du segment de droite.
  5. Cliquez sur un troisième point de la vue 3D ou tapez une coordinate, pour indiquer la position du texte.

Options

  • Appuyez sur CTRL pour que snap pointe sur les emplacements de capture disponibles.
  • Pour entrer les coordonnées manuellement, entrez simplement les nombres, puis appuyez sur ENTER entre chaque composante X, Y et Z.
  • Appuyez sur ESC pour annuler l'opération.
  • La direction du segment de droite (droite ou gauche) justifiera automatiquement le texte à gauche ou à droite.

Propriétés

  • DonnéesLabel Type: The type of information shown by this label (see below)
  • DonnéesCustom Text: The text to display when Label Type is set to custom
  • DonnéesPlacement: Indicates the rotation and the position of the text
  • DonnéesStraight Distance: The length of the straight segment
  • DonnéesStraight Direction: The direction of the straight segment Horizontal or vertical
  • DonnéesTarget Point: The point indicated by this label
  • VueText Size: The size of the text
  • VueText Font: The font used for the text
  • VueText Alignment: The vertical alignment of the text: Top, middle or bottom
  • VueText Color: The color of the text
  • VueLine Width: The width of the line
  • VueLine Color: The color of the line
  • VueArrow Type: The type of the arrow: Dot, circle, arrow or tick.
  • VueArrow Size: The size of the arrow
  • VueFrame: Draws a frame around the text

Label types

  • Custom: Shows the contents of the Custom Text property
  • Name: Shows the name of the target object
  • Label: Shows the label of the target object
  • Position: Shows the coordinates of the target object (Placement base point), or the coordinates of the target vertex, if applicable, or the coordinates of the center of the target subelement (center of mass)
  • Length: Shows the length of the target subelement, if possible
  • Area: Shows the area of the target subelement, if possible
  • Volume: Shows the volume of the target object, if possible
  • Tag: Shows the tag value of the target object, if the target object has such property (which is the case of all Arch objects)
  • Material: Shows the label of the material of the target object, if the target object has such property

Scripting

The Text tool can by used in macros and from the python console by using the following function:

makeLabel(targetpoint=None,target=None,direction=None,distance=None,labeltype=None,placement=None)
  • Returns the newly created object.

Example:

import FreeCAD,Draft
selection = FreeCADGui.Selection.getSelectionEx()[0]
Draft.makeLabel(FreeCAD.Vector(10,-10,0),selection,"Horizontal",20,"Label")